Package de.geolykt.starloader.transformers

# Class RawClassData

java.lang.Object
de.geolykt.starloader.transformers.RawClassData

public class RawClassData extends Object

## Constructor Summary

Constructors
Constructor
Description
`RawClassData(@Nullable URL source, byte @NotNull [] bytes)`

## Method Summary

Modifier and Type
Method
Description
`byte @NotNull []`
`getBytes()`
`@Nullable URL`
`getSource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RawClassData

public RawClassData(@Nullable @Nullable URL source, byte @NotNull [] bytes)

## Method Details

### getBytes

@Contract(pure=true) public byte @NotNull [] getBytes()

### getSource

@Nullable @Contract(pure=true) public @Nullable URL getSource()